@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2011, 2014. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem File for messages displayed by the upgrade automated scripts.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Initial verification messages *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo Fr das Upgrade sind Administratorrechte erforderlich.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo Fhren Sie das Script Anwendung_upgrade nicht direkt aus. Fhren Sie fr ein Upgrade von JTS oder der Anwendung einen der folgenden Befehle aus:
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Mit -help knnen Sie eine vollstndige Beschreibung der obigen Befehle anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Auer bei Verwendung des Parameters -help muss Script %2 aus %3 ausgefhrt werden
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Die Datei '%2' enthlt die Parameterwerte fr das Upgrade-Script.
echo Falls Sie Standardparameterwerte modifizieren mssen, knnen Sie diese Dateien bearbeiten oder die Parameterwerte als Befehlszeilenargumente fr die Upgrade-Scripts angeben.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo Die Standardparameterwerte fr ein Anwendungsupgrade oder ein JTS-Upgrade sind in folgenden Dateien enthalten. Falls Sie Standardparameterwerte modifizieren mssen, knnen Sie diese Dateien bearbeiten oder die Parameterwerte als Befehlszeilenargumente fr die Upgrade-Scripts angeben.
echo %TAB%- CCM-Upgrade: "%2params\ccm_params%3.bat"
echo %TAB%- QM-Upgrade:  "%2params\qm_params%3.bat"
echo %TAB%- RM-Upgrade:  "%2params\rm_params%3.bat"
echo %TAB%- JTS-Upgrade: "%2params\jts_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Parameters verification messages *
REM ************************************

REM Intrinsic verification
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Es wurde kein JTS oder Anwendungstyp angegeben. Fhren Sie fr ein Upgrade von JTS oder der Anwendung einen der folgenden Befehle aus:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Mit -help knnen Sie eine vollstndige Beschreibung der obigen Befehle anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2  ist kein gltiger JTS oder Anwendungstyp. Fhren Sie fr ein Upgrade von JTS oder der Anwendung einen der folgenden Befehle aus:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Mit -help knnen Sie eine vollstndige Beschreibung der obigen Befehle anzeigen.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Wert fr Parameter %2 fehlt.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo Das fr den Parameter %2 angegebene Verzeichnis %3 ist nicht vorhanden oder ungltig.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo Das fr den Parameter %2 angegebene Verzeichnis %3 muss ein absoluter Pfad sein.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Die fr den Parameter %2 angegebene Datei %3 ist nicht vorhanden oder ungltig.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 ist ein ungltiger Wert fr den Parameter %2.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 ist ein unbekannter Parameter.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND


REM Extrinsic verification
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Ausgangsverzeichnisparameter %2 fehlt.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo Das Verzeichnis %2 ist nicht vorhanden oder ungltig.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Der repotools-Befehl '%2' fr die Anwendung wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldApplicationHome ('%3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Der repotools-Befehl '%2' fr die Anwendung wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldApplicationHome ('%3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter -jtsContextRoot ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldApplicationHome ('%3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldApplicationHome ('%3') auf das alte Serverkonfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter -applicationContextRoot ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Der repotools-Befehl '%2' fr die Anwendung wurde nicht gefunden. 
echo.
echo Stellen Sie sicher, dass der Parameter -newApplicationHome ('%3') auf das neue Serverkonfigurationsverzeichnis der Anwendung zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter -applicationContextRoot ('%4') korrekt ist.
echo Falls Sie ein Upgrade fr ein frheres Release durchfhren, vergewissern Sie sich, dass Sie die richtigen Kontextstammverzeichnisse ausgewhlt haben. Bei Verwendung des Installation Manager mssen Sie beispielsweise in der Anzeige "Kontextstammverzeichnisoptionen" die Option fr das %5-Kontextstammverzeichnis auswhlen. Sollten Sie versehentlich eine andere Option ausgewhlt haben, mssen Sie das Produkt mit der Option fr das %5-Kontextstammverzeichnis neu installieren.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -newApplicationHome ('%3') auf das neue JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter -applicationContextRoot ('%4') korrekt ist.
echo Falls Sie ein Upgrade fr ein frheres Release durchfhren, vergewissern Sie sich, dass Sie die richtigen Kontextstammverzeichnisse ausgewhlt haben. Bei Verwendung des Installation Manager mssen Sie beispielsweise in der Anzeige "Kontextstammverzeichnisoptionen" die Option fr das %5-Kontextstammverzeichnis auswhlen. Sollten Sie versehentlich eine andere Option ausgewhlt haben, mssen Sie das Produkt mit der Option fr das %5-Kontextstammverzeichnis neu installieren.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Der repotools-Befehl '%2' fr JTS wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldJTSHome ('%3') auf das alte JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter -jtsContextRoot ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -oldJTSHome ('%3') auf das alte JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter -jtsContextRoot ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Der repotools-Befehl '%2' fr JTS wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -newJTSHome ('%3') auf das neue JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter -jtsContextRoot ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Die Konfigurationsdatei '%2' wurde nicht gefunden.
echo.
echo Stellen Sie sicher, dass der Parameter -newJTSHome ('%3') auf das neue JTS-Konfigurationsverzeichnis zeigt, z. B. auf 'Jazz-Installationsstammverzeichnis\server\conf', und dass der Parameter -jtsContextRoot ('%4') korrekt ist.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Fr ein Upgrade von %2 ist eine TAR-Datei mit 2.x-Daten erforderlich.
echo Mit -help knnen Sie eine vollstndige Parameterbeschreibung anzeigen.
echo.
goto LBLEND


REM **********************
REM * Execution messages *
REM **********************

:LBLMSG_BANNER_jts
echo.
echo.
echo =============================================
echo ===    JTS-Upgrade    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo =============================================
echo ===    CCM-Upgrade    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ============================================
echo ===    QM-Upgrade    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ============================================
echo ===    RM-Upgrade    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_RM_CHECK_OLD_VERSION )
echo Alte RM-Anwendungsversion wird berprft...
goto LBLEND

:LBLMSG_RM_DISPLAY_OLD_VERSION )
echo Die Version der alten RM-Anwendung ist '%~2'
goto LBLEND

REM *********************
REM * First step switch *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo Letzte Ausfhrung beim ersten Schritt fehlgeschlagen
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo Letzte Ausfhrung bei Schritt %2 fehlgeschlagen
echo Soll das Upgrade bei diesem oder einem frheren Schritt neu gestartet werden? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo Das Upgrade wurde bereits durchgefhrt und erfolgreich beendet.
echo Soll ein neues Upgrade bei einem bestimmten Schritt gestartet werden? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo Letzte Ausfhrung bei Schritt %2 erfolgreich gestoppt
echo Soll das Upgrade bei Schritt %3 oder einem frheren Schritt neu gestartet werden? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Geben Sie die Nummer des Schrittes [%2-%3] ein, bei dem das Upgrade neu gestartet werden soll, oder brechen Sie mit [Eingabetaste] ab.
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' ist keine Zahl. Geben Sie eine gltige Schrittnummer ein.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' ist eine ungltige Schrittnummer. Geben Sie eine gltige Schrittnummer ein.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo Der letzte Schritt ist Schritt %2, sodass das Upgrade nicht bei Schritt %3 neu gestartet werden kann.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo Schritt %2 wurde noch nicht ausgefhrt, sodass Sie das Upgrade nicht bei Schritt %3 neu starten knnen.
goto LBLEND


REM **********************
REM * Messages for Steps *
REM **********************

:LBLMSG_STEP_0
echo Schritt 0: Konfigurationsdateien aktualisieren
echo -----------------------------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Schritt 1: Tabellen hinzufgen
echo ------------------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Schritt 2: Upgrade fr Data-Warehouse-Schema
echo --------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Schritt %2: Abfrage- und Suchindizes neu erstellen
echo --------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Schritt 3: Upgrade fr Data-Warehouse-Schema
echo --------------------------------------------
goto LBLEND

:LBLMSG_RM_APPLICATION_FINALIZE )
echo Schritt %2: RM-Anwendung fertigstellen
echo -------------------------------
goto LBLEND

:LBLMSG_JTS_APPLICATION_FINALIZE )
echo Schritt %2: JTS-Anwendung fertigstellen
echo -------------------------------
goto LBLEND

:LBLMSG_RM_REINDEX_ALL )
echo Schritt %2: RM-Anwendung neu indexieren
echo --------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Schritt %2: Textindizes neu erstellen
echo --------------------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Schritt %2: Abfrage- und Suchindizes neu erstellen
echo --------------------------------------------------
goto LBLEND

:LBLMSG_JTS_MERGE_LPA_JTS_STEP
echo Schritt %2: LPA mit JTS mischen
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo Das %2-Upgrade ist bei Schritt %3 fehlgeschlagen. Lsen Sie das Problem. Fhren Sie das Script dann erneut ab Schritt %3 aus.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo Das %2-Upgrade war erfolgreich. Sie knnen jetzt ein Upgrade fr alle Anwendungen in Ihrer Umgebung durchfhren.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo Das %2-Upgrade war erfolgreich. Jetzt knnen Sie die Server Ihrer Implementierung starten.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM_FROM_V4 )
echo.
echo Der Offlineabschnitt des RM-Upgrades war erfolgreich. Ein verbleibender
echo Schritt ist ntig, um die Migration abzuschlieen. Er erfordert jedoch, dass alle Server mit
echo Link zu RM (z. B. RTC, RQM, JRS) online sind. Falls es jetzt mglich ist, starten
echo Sie alle Server (einschlielich RM). Es wird empfohlen, dass Sie sich bei jedem Server anmelden
echo und sicherstellen, dass sie ordnungsgem arbeiten. Fhren Sie dann den folgenden Befehl aus:
echo.
call %MSG_FILE_PATH% STEP_DIR_CMD %2 %3
setlocal EnableDelayedExpansion
set THREE=%3
set THREE=!THREE:~1,-1!
echo     !DREI!
setlocal DisableDelayedExpansion
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo Das %2-Upgrade war erfolgreich. Jetzt knnen Sie die Server Ihrer Implementierung starten.
echo.
goto LBLEND

REM *******************************
REM * Messages while running step *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Verzeichnis: %2
echo Befehl:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Geben Sie [E] fr die Ausfhrung dieses Schritts oder [S] zum berspringen ein oder brechen Sie die Script-Ausfhrung mit [Eingabetaste] ab.
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2' ist eine ungltige Eingabe. Erlaubt sind nur 'E', 'S' oder 'Eingabetaste'.
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Ein Notizblockeditor wird geffnet, in dem Sie die Datei teamserver.properties von %2 berprfen knnen.
echo Prfen Sie, ob das von der Eigenschaft com.ibm.team.repository.server.webapp.url angegebene Stammelement des ffentlichen URI stimmt.
echo Prfen Sie, ob die Datenbankeigenschaften korrekt sind.
echo Speichern Sie ggf. vorgenommene nderungen. Schlieen Sie dann den Editor und fahren Sie mit der Script-Ausfhrung fort.
echo.
echo Lesen Sie im Artikel 'Upgrade fr die Rational-Lsung fr CLM durchfhren' der Produktdokumentation nach,
echo wie die einzelnen Eigenschaften ordnungsgem konfiguriert werden.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Geben Sie C ein, um die Ausfhrung fortzusetzen, oder drcken Sie die Eingabetaste, um die Script-Ausfhrung abzubrechen.
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' ist eine ungltige Eingabe. Erlaubt ist nur 'C' oder 'Eingabetaste'.
echo.
goto LBLEND

:LBLMSG_COPY_TXT_INDICES_INPROGRESS
echo.
echo Textindizes werden von '%2' in '%3' kopiert.
echo Dies kann einige Minuten dauern...
echo.
goto LBLEND

:LBLMSG_COPY_JFS_INDICES_INPROGRESS
echo.
echo Abfragen und Suchindizes werden von '%2' in '%3' kopiert.
echo Dies kann einige Minuten dauern...
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Die Textindizes konnten nicht von '%2' in '%3' kopiert werden.
echo berprfen Sie die Eigenschaft com.ibm.team.fulltext.indexLocation,
echo die in der Datei teamserver.properties definiert ist.
echo Kopieren Sie die Textindizes manuell in dieses Verzeichnis oder fhren
echo Sie repotools -rebuildTextIndices aus, um die Indizes neu zu erstellen.
echo.
goto LBLEND

:LBLMSG_RM_APP_ID_NOEXIST )
echo.
echo Die Datei "%NEUE_ANWENDUNG_BERGEORDNETES_VERZEICHNIS:"=%\RM_ANWENDUNG.ID" ist nicht vorhanden.
echo Erstellen Sie diese Datei mit der einzelnen Zeile, die die RM-Anwendungs-ID enthlt,
echo und versuchen Sie es erneut.
echo.
goto LBLEND

REM *****************************************
REM * Messages for Public URIs verification *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! FEHLER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Kein ffentlicher URI definiert in
echo %3.
echo Das Upgrade kann somit nicht gestartet werden.
echo.
echo Diese Datei muss einen wie folgt definierten ffentlichen URI enthalten:
echo https\://Hostname.example.com\:Port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Die Eigenschaft com.ibm.team.repository.server.webapp.url fr den ffentlichen URI muss in der Datei teamserver.properties enthalten sein.
echo Fgen Sie die Eigenschaft zur Datei teamserver.properties der alten Installation hinzu und legen Sie fr alle Clients fest, dass der Wert
echo der Eigenschaft als URI-Stammelement fr den Kontakt zum Server verwendet werden soll.
echo Das Stammelement des ffentlichen URI ist wesentlich, damit Ihre neue Installation ordnungsgem funktioniert. Ohne diese Eigenschaft ist kein erfolgreiches Upgrade mglich. 
echo Weitere Informationen enthlt der Artikel 'URIs planen' in der Produktdokumentation.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! FEHLER !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Alle ffentlichen URIs, die in
echo %3 definiert sind, sind auf Kommentar
echo gesetzt, sodass das Upgrade nicht gestartet werden kann.
echo.
echo Diese Datei muss einen wie folgt definierten ffentlichen URI enthalten,
echo der nicht auf Kommentar gesetzt ist:
echo https\://Hostname.example.com\:Port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Die Eigenschaft com.ibm.team.repository.server.webapp.url fr den ffentlichen URI muss in der Datei teamserver.properties enthalten sein.
echo Fgen Sie die Eigenschaft zur Datei teamserver.properties der alten Installation hinzu und legen Sie fr alle Clients fest, dass der Wert
echo der Eigenschaft als URI-Stammelement fr den Kontakt zum Server verwendet werden soll.
echo Das Stammelement des ffentlichen URI ist wesentlich, damit Ihre neue Installation ordnungsgem funktioniert. Ohne diese Eigenschaft ist kein erfolgreiches Upgrade mglich.
echo Weitere Informationen enthlt der Artikel 'URIs planen' in der Produktdokumentation.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo Das Kontextstammverzeichnis von JTS ist auf '%2' gesetzt.
echo Das Kontextstammverzeichnis der Anwendung ist auf '%3' gesetzt.
echo Das Kontextstammverzeichnis von JTS darf nicht dasselbe wie das der Anwendung sein.
echo.
goto LBLEND

:LBLEND
endlocal
